digiKam Developer Documentation: Digikam::FacesEngine Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Signals | Public Member Functions | Static Public Member Functions | List of all members
Digikam::FacesEngine Class Reference
Inheritance diagram for Digikam::FacesEngine:

## Public Types
enum | InputSource { Albums = 0 , Infos , Ids }

## Signals
void | signalScanNotification (const QString &msg, int type)
Signals inherited from Digikam::MaintenanceTool
void | signalCanceled ()
| Emit when process is canceled.
void | signalComplete ()
| Emit when process is done (not canceled).
Signals inherited from Digikam::ProgressItem
void | progressItemAdded (ProgressItem *item)
| Emitted when a new ProgressItem is added.
void | progressItemCanceled (ProgressItem *item)
| Emitted when an item was canceled.
void | progressItemCanceledById (const QString &id)
void | progressItemCompleted (ProgressItem *item)
| Emitted when a progress item was completed.
void | progressItemLabel (ProgressItem *item, const QString &label)
| Emitted when the label of an item changed.
void | progressItemProgress (ProgressItem *item, unsigned int v)
| Emitted when the progress value of an item changes.
void | progressItemStatus (ProgressItem *item, const QString &mess)
| Emitted when the status message of an item changed.
void | progressItemThumbnail (ProgressItem *item, const QPixmap &thumb)
| Emitted when the thumbnail data must be set in item.
void | progressItemUsesBusyIndicator (ProgressItem *item, bool value)
| Emitted when the busy indicator state of an item changes.

## Public Member Functions
| FacesEngine (const FaceScanSettings &settings, ProgressItem *const parent=nullptr)
Public Member Functions inherited from Digikam::MaintenanceTool
| MaintenanceTool (const QString &id, ProgressItem *const parent=nullptr)
uint | checkProgressNeeded () const
| Return progress advance value if the 50ms for the next progress update is completed, otherwise return 0.
void | setNotificationEnabled (bool b)
| If true, show a notification message on desktop notification manager with time elpased to run process.
virtual void | setUseMultiCoreCPU (bool)
| Re-implement this method if your tool is able to use multi-core CPU to process item in parallel.
Public Member Functions inherited from Digikam::ProgressItem
| ProgressItem (ProgressItem *const parent, const QString &id, const QString &label, const QString &status, bool canBeCanceled, bool hasThumb)
void | addChild (ProgressItem *const kiddo)
bool | advance (unsigned int v)
| Advance total items processed by n values and update percentage in progressbar.
bool | canBeCanceled () const
void | cancel ()
bool | canceled () const
unsigned int | completedItems () const
bool | hasThumbnail () const
const QString & | id () const
bool | incCompletedItems (unsigned int v=1)
void | incTotalItems (unsigned int v=1)
const QString & | label () const
ProgressItem * | parent () const
unsigned int | progress () const
void | removeChild (ProgressItem *const kiddo)
void | reset ()
| Reset the progress value of this item to 0 and the status string to the empty string.
void | setComplete ()
| Tell the item it has finished.
bool | setCompletedItems (unsigned int v)
void | setLabel (const QString &v)
void | setProgress (unsigned int v)
| Set the progress (percentage of completion) value of this item.
void | setShowAtStart (bool showAtStart)
| Set the property to pop-up item when it's added in progress manager.
void | setStatus (const QString &v)
| Set the string to be used for showing this item's current status.
void | setThumbnail (const QIcon &icon)
| Sets whether this item has a thumbnail.
void | setTotalItems (unsigned int v)
void | setUsesBusyIndicator (bool useBusyIndicator)
| Sets whether this item uses a busy indicator instead of real progress for its progress bar.
bool | showAtStart () const
const QString & | status () const
bool | totalCompleted () const
unsigned int | totalItems () const
void | updateProgress ()
| Recalculate progress according to total/completed items and update.
bool | usesBusyIndicator () const

## Static Public Member Functions
static FaceScanSettings::FaceScanSource | faceScanTaskToEnum (const QString &taskName)
static QString | faceScanTaskToString (FaceScanSettings::FaceScanSource source)

## Additional Inherited Members
Public Slots inherited from Digikam::MaintenanceTool
void | start ()
Protected Slots inherited from Digikam::MaintenanceTool
virtual void | slotCancel ()
virtual void | slotDone ()
virtual void | slotStart ()